summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorskullydazed <skullydazed@users.noreply.github.com>2018-03-06 23:37:48 +0100
committerGitHub <noreply@github.com>2018-03-06 23:37:48 +0100
commit08e48eb6f534c7eeb692e8e63b81f41110dcb5e3 (patch)
tree185ec53e454639431fdaa0d998407361986940db /util
parent12c8ee956dc0230b571bc51f785ae417073d5c67 (diff)
downloadqmk_firmware-08e48eb6f534c7eeb692e8e63b81f41110dcb5e3.tar.gz
qmk_firmware-08e48eb6f534c7eeb692e8e63b81f41110dcb5e3.tar.xz
Add a newbie guide for people completely new to QMK (#2480)
Diffstat (limited to 'util')
-rw-r--r--util/linux_install.sh17
-rwxr-xr-xutil/macos_install.sh25
-rwxr-xr-xutil/qmk_install.sh16
3 files changed, 58 insertions, 0 deletions
diff --git a/util/linux_install.sh b/util/linux_install.sh
new file mode 100644
index 000000000..ef9de5b19
--- /dev/null
+++ b/util/linux_install.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if grep ID /etc/os-release | grep -q rhel; then
+ # RPM based OS
+ sudo dnf install gcc unzip wget zip dfu-util dfu-programmer avr-gcc \
+ avr-libc binutils-avr32-linux-gnu arm-none-eabi-gcc-cs \
+ arm-none-eabi-binutils-cs arm-none-eabi-newlib
+elif grep ID /etc/os-release | grep -q debian; then
+ sudo apt-get update
+ sudo apt-get install gcc unzip wget zip gcc-avr binutils-avr avr-libc \
+ dfu-programmer dfu-util gcc-arm-none-eabi binutils-arm-none-eabi \
+ libnewlib-arm-none-eabi
+else
+ echo "Sorry, we don't recognize your OS. Help us by contributing support!"
+ echo
+ echo " https://docs.qmk.fm/contributing.html"
+fi
diff --git a/util/macos_install.sh b/util/macos_install.sh
new file mode 100755
index 000000000..551b84b5a
--- /dev/null
+++ b/util/macos_install.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+if brew --version 2>&1 > /dev/null; then
+ echo "Error! Homebrew not installed or broken!"
+ echo -n "Would you like to install homebrew now? [y/n] "
+ while read ANSWER; do
+ case $ANSWER in
+ y|Y)
+ /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
+ break
+ ;;
+ n|N)
+ exit 1
+ ;;
+ *)
+ echo -n "Would you like to install homebrew now? [y/n] "
+ ;;
+ esac
+ done
+fi
+
+brew tap osx-cross/avr
+brew tap PX4/homebrew-px4
+brew update
+brew install avr-gcc gcc-arm-none-eabi dfu-programmer avrdude
diff --git a/util/qmk_install.sh b/util/qmk_install.sh
new file mode 100755
index 000000000..0272f8af8
--- /dev/null
+++ b/util/qmk_install.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Pick the correct install script based on the current OS
+
+util_dir=$(dirname "$0")
+
+case $(uname) in
+ Darwin)
+ exec "${util_dir}/macos_install.sh"
+ ;;
+ Linux)
+ exec "${util_dir}/linux_install.sh"
+ ;;
+ MSYS_NT*)
+ exec "${util_dir}/msys2_install.sh"
+ ;;
+esac